LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
DatabaseRegistrationEvent Struct Referencepublished

describes a change in a database registration More...

`import"DatabaseRegistrationEvent.idl";`

Inheritance diagram for DatabaseRegistrationEvent:

## Public Attributes
string | Name
| is the name of the database registration affected by the event More...
string | OldLocation
| is the old location of the database which is affected by the event More...
string | NewLocation
| is the new location of the database which is affected by the event More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

describes a change in a database registration

See also
  XDatabaseRegistrations
  XDatabaseRegistrationsListener

Since
  LibreOffice 3.3

## Member Data Documentation

## ◆ Name

string Name

is the name of the database registration affected by the event

## ◆ NewLocation

string NewLocation

is the new location of the database which is affected by the event

## ◆ OldLocation

string OldLocation

is the old location of the database which is affected by the event

The documentation for this struct was generated from the following file:

- com/sun/star/sdb/DatabaseRegistrationEvent.idl